TAAS - Feature #46
Billing Tax
09/13/2022 01:48 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 09/13/2022
Priority: Normal Due date: 09/16/2022
Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 28:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Billing Tax

Description

Coding Billing Tax

History

#1 - 09/13/2022 05:53 PM - Anil KV

- File deleted (sql.sql)

#2 - 09/13/2022 05:53 PM - Anil KV
- File deleted (6-HtmiFile.html)

#3 - 09/13/2022 05:53 PM - Anil KV
- File deleted (5-TsFile.ts)

#4 - 09/13/2022 05:53 PM - Anil KV
- File deleted (4-CsControllerFile.cs)

#5 - 09/13/2022 05:53 PM - Anil KV
- File deleted (3-CsFile.cs)

#6 - 09/13/2022 05:53 PM - Anil KV
- File deleted (2-tsModel.ts)

#7 - 09/13/2022 05:53 PM - Anil KV
- File deleted (1-CsModel.cs)

#8 - 09/13/2022 05:53 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmiFile.htm| added

- File sql.sql added

#9 - 09/14/2022 10:41 AM - Anil KV

public lstBillingTaxEquationBasedOn = [

{ "intId": 1, "strLabel": "Sale(Service)", "blnDisable": false, "blnActive": true, "strRemarks":

{ "intId": 2, "strLabel": "Package", "blnDisable": true, "blnActive": false, "strRemarks": "" },

{ "intId": 3, "strLabel": "Package Category", "blnDisable": true, "blnActive": false, "strRemarks":

{ "intId": 4, "strLabel": "Region Category", "blnDisable": false, "blnActive": false, "strRemarks":

{ "intId": 5, "strLabel": "Region", "blnDisable": true, "blnActive": false, "strRemarks": "" }
public lstBillingTaxCalculationBasedOn = [

{ "strId": "COMMISSION", "strLabel": "Commission", "blnDisable": false, "blnActive": true, "strRemarks": "
"),

{ "strId": "SUPPLIER_FEE", "strLabel": "Supplier Fee", "blnDisable": false, "blnActive": false, "strRemark
s": "" },

{ "strId": "SUPPLIER_REFUND_CHARGE", "strLabel": "Supplier Refund Charge", "blnDisable": false, "blnActive
": false, "strRemarks": "" },

{ "strId": "COST", "strLabel": "Cost (Supplier Amount)", "blnDisable": false, "blnActive": false, "strRemar
ks": "" },

{ "strId": "SERVICE_FEE", "strLabel": "Service Fee", "blnDisable": false, "blnActive": false, "strRemarks"

" }I

{ "strId": "MANAGEMENT_FEE", "strLabel": "Management Fee", "blnDisable": false, "blnActive": false, "strRe
marks": "" },

{ "strId": "DISCOUNT", "strLabel": "Discount", "blnDisable": false, "blnActive": false, "strRemarks": "" }

{ "strId": "PROFIT", "strLabel": "Profit", "blnDisable": false, "blnActive": false, "strRemarks": "" },

{ "strId": "AGENCY_REFUND_CHARGE", "strLabel": "Agency Refund Charge", "blnDisable": false, "blnActive": f
alse, "strRemarks": "" },

{ "strId": "PRICE", "strLabel": "Price (Customer Amount)", "blnDisable": false, "blnActive": false, "strRem
arks": "" },

{ "strId": "SERVICE_FEE", "strLabel": "Service Fee", "blnDisable": false, "blnActive": false, "strRemarks"

LI
public lstBillingTaxPayable = [

{ "intId": 1, "strLabel": "Customer", "blnDisable": false, "blnActive": true, "strRemarks": "" },

{ "intId": 2, "strLabel": "Supplier", "blnDisable": false, "blnActive": false, "strRemarks": "" },

{ "intId": 3, "strLabel": "Expense", "blnDisable": false, "blnActive": false, "strRemarks": "" },

{ "intId": 4, "strLabel": "Reverse Charge (Supplier)", "blnDisable": false, "blnActive": false, "strRemarks

Dg T@ }
public 1lstBillingTaxPosting = [

{ "intId": 1, "strLabel": "Output Tax", "blnDisable": false, "blnActive": true, "strRemarks": "" },

{ "intId": 2, "strLabel": "Input Tax", "blnDisable": false, "blnActive": false, "strRemarks": "" },

{ "intId": 3, "strLabel": "Input & Output Tax", "blnDisable": false, "blnActive": false, "strRemarks": ""
}I

{ "intId": 4, "strLabel": "Supplier Return", "blnDisable": false, "blnActive": false, "strRemarks": "" },

{ "intId": 5, "strLabel": "Airline Return", "blnDisable": false, "blnActive": false, "strRemarks": "" }
#10 - 09/14/2022 11:28 AM - Aparna Mathew
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#11 - 09/27/2022 05:00 PM - Aparna Mathew
- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 40 to 30

#12 - 11/26/2022 03:36 PM - Aparna Mathew
Equation tab pending

#13 - 12/07/2022 10:57 AM - Aparna Mathew
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#14 - 12/07/2022 02:11 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET MANDATORY FIELDS REQUIRED
(TAX PAYABLE AMOUNT,RECEIVABLE AMOUNT,EXPENSE AMOUNT)
#15 - 12/09/2022 10:16 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 05/19/2023 06:17 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on service - Prevent duplication on grid

2.Add precision on Amount

3.fix bugs on branch while update by another user- branch missing

#17 - 05/22/2023 05:06 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#18 - 05/23/2023 06:16 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set required validation on region category
2.Fix bugs on region category

( Hide & Show properly)

#19 - 05/24/2023 12:17 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 07/12/2023 06:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUND

1.SELECTED TAB NOT GOING IN INCLUSING TAX WHILE ADDING NEW

#21 - 07/14/2023 06:14 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 07/18/2023 06:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.1.Add(,)Option in Service Options In Grid
2.Issue Date Not Changing

3.Correct The Tab Size Of Tax Payable
4.Overlapping Check Box Refundable

#23 - 07/26/2023 06:24 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#24 - 01/13/2024 02:22 PM - Anil KV
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

New Changes ==============

1) change label "-> B2B And B2C Also" to "B2B and B2C Seprate Equation”

-Title: Tick the Checkbox then Allowed Seprate Equation B2B and B2C in Billing Tax Equation GUI
2) Inclusive Tax -> Title: Tick Means the tax incusive in "Tax Calculation Based On" Component
3) Less Price -> Supplier and Airline Inclusive Case that amount less in price

4) Tick all servicess and Packages, If all tick then save empty - load Empty then tick all

5) Add ERP Code - > Split Category line and after Category

6) Laod Set Mapping Account(Tax) accounts Default

7

) Add Block/Close Date after Status™ - a line, If status is active then hide otherwise - show and mandatory

-Title -> After The date cannot set equation

8) Services Grouping option added(Use List) - Grouping - No Grouping, Service Group, Service Type
9) Equation Based On Mandatory - add red star

10) Category - Mandatory - add red star - Remove Empty

GUI Done

#25 - 01/20/2024 09:40 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#26 - 02/27/2024 03:13 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

WORK FLOW CHANGE

e Consider Taxable Category Packages only in Billing tax master and Package Type wise Grouping

#27 - 03/22/2024 11:37 AM - Aparna Mathew
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#28 - 04/15/2024 04:14 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Missing Region Category Data While Changing Select Box Equation Based On
2.Fix Bugs On Tab

#29 - 04/17/2024 09:23 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#30 - 04/17/2024 05:49 PM - unnikannan S
TESTING DONE

#31 - 04/25/2024 09:52 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Add Validation On Deletion In Case The Billing Tax Account Is Selected In The Multy Selection Of Non Billing Tax Account

2.Allow Deletion In Case The Tax Equation Value Is 0
#32 - 04/30/2024 09:41 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#33 - 04/30/2024 04:47 PM - unnikannan S
TESTING DONE

#34 - 09/04/2024 03:02 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

Tax Input Account* missing on edit mode (Tax Payable:- Supplier) (Tax Posting:- Input Tax)

#35 - 09/12/2024 02:09 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#36 - 12/10/2024 02:24 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#37 - 12/12/2024 10:59 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. No validaton for tax payable field.
2. While selecting tax payable account as expense no validation for tax output account.

NEW CHANGES

1. Add a grouping based on payable field.
2. Change payable account--> account and while showing data show in the bracket whether they are payable or receivable.
3. If there are two accounts (eg: expense and tax output account) then show both of them in account column separated by comma.

#38 - 12/18/2024 10:39 AM - Aparna Mathew

- Status changed from Reopen Bugs to New Changes

#39 - 12/18/2024 11:12 AM - Aparna Mathew
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#40 - 01/01/2025 06:03 PM - Theja Ponon
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

#41 - 01/02/2025 03:32 PM - Arathy PS

- Assignee changed from Aparna Mathew to Baseem Shan

#42 - 01/08/2025 04:54 PM - Arathy PS

- Assignee changed from Baseem Shan to Nawal Sidique

NEW CHANGES

1. Add red star to service tab. - ADDED
2. If none of the services are selected add a validation to choose at least one service. - ADDED
3. Only selected items in package category should have billing tax, if nothing is selected then no category should have that billing tax - ADDED

#43 - 01/08/2025 04:55 PM - Arathy PS
- Status changed from New Changes Testing Done to New Changes

- % Done changed from 90 to 50

#44 - 01/08/2025 06:28 PM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#45 - 01/13/2025 04:44 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Tax receivable accounts are not showing in the print.
-- show the account name and in bracket show whether they are payable or receivable(Same as Ul). - FIXED

#46 - 01/15/2025 09:40 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#47 - 01/15/2025 11:11 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

issue found

1)In case of input and output tax,will receive from control account-output tax accounts are not showing in the print - FIXED

#48 - 01/16/2025 10:00 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#49 - 01/16/2025 10:56 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)ON EDIT MODE TAX POSTING WITH THESE SELECTIONS INPUT AND OUTPUT TAX,WILL RECEIVE FROM SUPPLIER /AIRLINE,WILL
RECEIVE FROM CONTROL ACCOUNT REMOVES - FIXED

#50 - 01/16/2025 03:51 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#51 - 01/17/2025 10:32 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#52 - 02/10/2025 04:52 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

New Change - ADDED
1. Above mandatory: add --In GUI : Single select box
-- sale (issue) load this type in sale only , refund (cancel) load this type in refund only

2. Refundable checkbox can be ticked only if sale is chosen. Disable and untick if refund is chosen.
3. change position of created by, modified by to left.
4. GUI:- Sale & Refundable ticked : Calculate amount and do reverse posting -ve (Dr).

5. Title for refundable check box: Tick means input tax (which is claimable).

#53 - 02/11/2025 10:10 AM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#54 - 02/11/2025 05:41 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND - FIXED

1. Connect equation tab with tax equation and sale/refund modules.

2. Block updation of B2B/B2C checkbox if tax equation is already set.

3.Add Loss account incase of only ticking Refundable To Customer

4.Tax Refundable and Refundable To Customer should be disable when choosing GUI as refund

NEW CHANGE - DONE

1. Add a copy button.
2. In Grid Add Column Apply GUI
3. In Profit Acc Autocomplete only load Coa Revenue/Income Accounts

#55 - 02/19/2025 06:31 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#56 - 02/20/2025 11:43 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND - FIXED

1. Give red star and validation to profit and loss account.
2. Data changes while saving, When we select either one of tax refundable and refundable to customer.

#57 - 02/20/2025 12:05 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#58 - 02/20/2025 06:54 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND - FIXED

1. In the Loss account field accounts from expense can also be included.
2. In the equation tab Effective from field should have validation.
3. Grouping of the region gets missing in billing tax equation module after saving from the equation tab.

#59 - 02/21/2025 06:40 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
#60 - 02/22/2025 03:11 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND - FIXED

1. The billing tax equation set on tax equation module is getting saved again when we update the billing tax module as it is in the equation tab.

#61 - 02/24/2025 10:22 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#62 - 02/24/2025 12:06 PM - Arathy PS
- File clipboard-202502241205-0iizg.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND - FIXED

1. On edit mode when we change customer refundale from untick to tick the again to untick mode the profit account that we have saved already is not

showing.

2. Duplication of data in billing tax equation after an in billing tax equation module and an update in billing tax module.

VAT_INPUT 000

#63 - 02/25/2025 09:35 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#64 - 02/25/2025 06:17 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES - DONE

1. Add a new checkbox after less in price - 'Add in price'
-- at a time less in price and add in price cannot be ticked together.
--In case of Input tax 'Add in price' is default untick

#65 - 02/26/2025 04:48 PM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#66 - 03/03/2025 11:25 AM - Theja Ponon
- File clipboard-202503031125-hali0.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50
Issue Found

oliapse
bl - -» B2B And B2C Separate Equation
ome3 " | Ticket/Voucher v
P o Inclusive Tax
Front.
B e | Customer ~ TaxPosting  Qutput Tax v
Back
=
eport
Created By:
Q
info Modified By:
o
0 Do
@
==
-
More Code Name Account Equation Based On Apply In GUI Service
b/ ~  TaxPayable: Customer
REVT_OT REFUND_VAT_OU...  Tax Receivable Account ...~ Ticket/Voucher->Region Cate... Refund (Cancel)

2)Blank page in print - FIXED

#67 - 03/04/2025 08:54 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#68 - 03/25/2025 12:06 PM - Theja Ponon

- File clipboard-202503251205-nj5qt.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

e Billing Tax

System | Service® Package Category ~Equation  Branch*
Category™ | VAT v ERP Code

Apply InGUI* | sgala (Issue)

Mandatory @ Editable @
Tax Refundable™ Refundable To Customer®

Status™ | Active

Remarks

Y a &

Air Ticket Service , Hotel Senvice , Other Service , Package Service,, Transfer Serviee , Visa Service

B @

Code|Name™ | BT001 Billing Tax customer

-» B2B And B2C Separate Equation

System | Region Category* Service* Package Category Equation  Branch*

Equation Besed O™ Ticket/Voucher->Region Cateqory Category” | yAT v ERP Code
Tax Calculation Based On" | Commission ~ Inclusive Tax ApplyINGUF | Sale (issue) -
R e —
Crested By: Adminisrator(25/03/2025 157 AM) Remarts
Modified By:  Administrator(25/03/2025 11:59 AM)[1] 4
#69 - 03/25/2025 04:40 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
Files
1-CsModel.cs 3.42 KB 09/13/2022 Anil KV
2-tsModel.ts 2.24 KB 09/13/2022 Anil KV
3-CsFile.cs 16 KB 09/13/2022 Anil KV
4-CsControllerFile.cs 25 KB 09/13/2022 Anil KV
5-TsFile.ts 14.5 KB 09/13/2022 Anil KV
6-HtmlFile.html 1.9 KB 09/13/2022 Anil KV
sql.sql 17.6 KB 09/13/2022 Anil KV
clipboard-202502241205-0iizg.png 62.2 KB 02/24/2025 Arathy PS
clipboard-202503031125-hali0.png 123 KB 03/03/2025 Theja Ponon
clipboard-202503251205-nj5qt.png 61.5 KB 03/25/2025 Theja Ponon
